--- title: "Set stop word policy" slug: "analytics-cloudsearch-poststopword" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-poststopword" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set stop word policy **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Sets stop words to exclude them from input search terms. - This operation is useful to remove unnecessary words such as postpositions and conjunctions from search terms. - You can create multiple stop word policies, but can set only one policy for each search request. ``` POST https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/stopword/{rule_name} ``` ## Request ### Request parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | | rule_name | Y | string | Only English alphabet, numbers, "_" and "-" are allowed. The name must start with an alphabetical character or "_", and must be between 3 and 20 characters in length. | Name of a stop word policy to create | ### Request body | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | type | Y | string | filter, exact | Stop word rule typefilter: Partial matching, which removes a search term if part of it matches the registered stop word.exact: Exact matching, which removes a search term if it exactly match the registered stop word. | | word_list | Y | List | | List of stop words | | case_sensitive | Y | boolean | true, false | | | Whether words set with Stopword are case sensitive | | | | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully created) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Example request ``` POST /CloudSearch/real/v1/domain/car_beta/stopword/josa HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: +Ln++MqcKHckKli2y/bB76xLUu8qR9rLvo6j2yIYuYg= x-ncp-apigw-timestamp: 1551462015873 { "type": "filter", "word_list": [ "is", "are" ], "case_sensitive": false } ``` ### Example Response ``` {"result":"ok"} ```